Home > Blog > Patched Proxytunnel TLS binaries

Patched Proxytunnel TLS binaries

February 9th, 2015 Leave a comment Go to comments

Since stunnel & openssl no longer by default supports SSL3 due to the POODLE vulnerability (CVE20143566), here’s a patched version of Proxytunnel to be used with recent versions of above mentioned software.

Based on the source for Proxytunnel (trunk-253) and the patch published here – thanks to the author.

Binaries for win32 has been build with cygwin.

Download patched win32 binaries

Download sources with patch applied

Tags:
  1. the0ne
    March 10th, 2015 at 09:55 | #1

    Thanks for providing pre-built binaries!

    On my system i need to override SNI so that apache will accept my connection.
    I have added the required patch to https://sourceforge.net/p/proxytunnel/patches/10/.

    Please consider providing x64 binaries along with the w32 ones.

  2. Filo-Man
    June 1st, 2015 at 14:03 | #2

    Hello guys,

    Could somebody provide x64 binaries with the0ne patch? I’m not successful at compiling this on my computer…

    Thanks in advance!

  1. No trackbacks yet.

*